<template>
  <image
    :xlink:href="source.imageUrl"
    preserveAspectRatio="none"
    x="0"
    y="112"
    :width="source.width"
    :height="source.height"
    @mouseover="$emit('image-mouseover')"
    @focusin="$emit('image-mouseover')"
  />
</template>

<script lang="ts">
import type { Source } from '@/data';
import { Component, Prop, Vue } from 'vue-property-decorator';

@Component
export default class CanvasSourceScore extends Vue {
  @Prop({ required: true })
  source!: Source;
}
</script>
